@echo off
@if "%OS%" == "Windows_NT"  setlocal

:: Run the setup script
call "D:\Program Files (x86)\CA\SiteMinder\adminui\bin\setup.bat"

:: Configure the classpath
set JBOSS_CLASSPATH=%JBOSS_HOME%\bin\run.jar;%JBOSS_HOME%\bin\jbosssch.jar

:: JBoss Arguments
set JBOSS_OPTS=-c %JBOSS_SERVER%

:: Java Runtime
set JAVA_OPTS=%JAVA_OPTS% -server
set JAVA_OPTS=%JAVA_OPTS% -disableassertions
set JAVA_OPTS=%JAVA_OPTS% -Xms256m -Xmx512m -XX:MaxPermSize=128m

:: System Properties
set JAVA_OPTS=%JAVA_OPTS% -Dprogram.name=%~nx0%
set JAVA_OPTS=%JAVA_OPTS% -Djboss.platform.mbeanserver
set JAVA_OPTS=%JAVA_OPTS% -Dsun.rmi.dgc.server.gcInterval=3600000

:: Un-comment to enable debugging
rem set JAVA_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=y %JAVA_OPTS%

echo ================================================================================
echo  JBoss bootstrap configuration
echo   JBOSS_HOME: %JBOSS_HOME%
echo   JAVA:       %JAVA%
echo   CLASSPATH:  %CLASSPATH%
echo   JAVA_OPTS:  %JAVA_OPTS%
echo ================================================================================

rem =====================================================================
rem Enable Introscope
rem =====================================================================
rem Use this for Java 1.5 or higher
set JAVA_OPTS=-javaagent:D:\Agent_Home\wily\Agent.jar -Dcom.wily.introscope.agentProfile=D:\Agent_Home\wily\core\config\IntroscopeAgent.profile JAVA_OPTS%
rem=======================================================================

:RESTART
"%JAVA%" %JAVA_OPTS% -classpath "%JBOSS_CLASSPATH%" org.jboss.windows.Service org.jboss.Main %JBOSS_OPTS% %*
if ERRORLEVEL 10 goto RESTART
if "%NOPAUSE%" == "" pause
